// ConsoleApplication5.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <iostream>
#include<iomanip>
using namespace std;

double zarade[20000];
double procenti[20000];
int main()
{
    int n;
    cin >> n;
	int l = 0;
	
	for (int i = 0; i < n; i++)
	{
		cin >> zarade[i] >> procenti[i];
	}
	double max = 0;
	while (l<n){
		double suma = 0, procenat = 0;
		procenat = procenti[l];
		for (int i = 0; i < n; i++){
			
			if (procenti[i]>=procenti[l]){
				suma += zarade[i];
			}
		}
		procenat /= 100;
		suma *= procenat;
		if (suma>max){
			max = suma;
		}
		l++;
	}
	cout << setprecision(12) << max;	
	return 0;
}